Ubuntu

[Lenovo Y530 - Realtek ALC888] Regression from 10.04: No sound with snd_hda_intel model=lenovo-sky

Reported by Shawn Lauzon on 2010-10-17
76
This bug affects 14 people
Affects Status Importance Assigned to Milestone
ALSA driver
New
Undecided
Unassigned
linux (Ubuntu)
Undecided
David Henningsson

Bug Description

The Lenovo Y530 has a set of speakers, all of which need to be working to get adequate sound. On both 10.04 and 10.10, the default configuration only uses 2 speakers, which is unbearably tinny. In 10.04, following instructions at http://www.linlap.com/wiki/lenovo+ideapad+y530, I could enable all speakers with the line:

options snd_hda_intel model=lenovo-sky

added to alsa-base.conf. Unfortunately, in 10.10 doing this breaks all sound.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: alsa-base 1.0.23+dfsg-1ubuntu4
ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: slauzon 2095 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4200000 irq 43'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:10ec0888,17aa3d78,00100202 HDA:10573055,17aa3d7d,00100700 HDA:80862802,80860101,00100000'
   Controls : 44
   Simple ctrls : 25
Date: Sat Oct 16 23:41:06 2010
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
PackageArchitecture: all
ProcEnviron:
 LANG=C
 SHELL=/bin/bash
SelectedCard: 0 Intel HDA-Intel - HDA Intel
SourcePackage: alsa-driver
Symptom: audio
Title: [Realtek ALC888] ALSA test tone not correctly played back
dmi.bios.date: 09/23/2008
dmi.bios.vendor: Lenovo
dmi.bios.version: 10CN37WW
dmi.board.asset.tag: Lenovo Assert TAG
dmi.board.name: INVALID
dmi.board.vendor: Lenovo
dmi.board.version: 10CN36WW
dmi.chassis.asset.tag: Lenovo Assert TAG
dmi.chassis.type: 10
dmi.chassis.vendor: Lenovo
dmi.chassis.version: 10CN37WW
dmi.modalias: dmi:bvnLenovo:bvr10CN37WW:bd09/23/2008:svnLenovo:pnINVALID:pvrLenovoIdeaPadY530:rvnLenovo:rnINVALID:rvr10CN36WW:cvnLenovo:ct10:cvr10CN37WW:
dmi.product.name: INVALID
dmi.product.version: Lenovo IdeaPad Y530
dmi.sys.vendor: Lenovo

Shawn Lauzon (shawn-lauzon) wrote :
Shawn Lauzon (shawn-lauzon) wrote :

A couple other users are having this same problem. See thread http://ubuntuforums.org/showthread.php?t=1596068

Daniel T Chen (crimsun) wrote :

Firstly, that model quirk is invalid for Maverick's sound driver. You should either use "model=auto" or none at all.

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Shawn Lauzon (shawn-lauzon) wrote :

Just tried model=auto. Result is same as if the line wasn't added: super-tinny audio coming from only front 2 speakers.

Daniel T Chen (crimsun) wrote :

See https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules. You shouldn't need a model quirk at all.

Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
Daniel T Chen (crimsun) wrote :

If the above daily driver builds resolve the symptom, this is very probably a dupe of bug 611803.

Shawn Lauzon (shawn-lauzon) wrote :

Installed "Crack of the Day" alsa-driver code, as suggested. Final line of alsa-base.conf is now only:

options snd_hda_intel

Same problem as before, no subwoofer. Also, note that when I plug in headphones, the subwoofer does not turn on (and never has, which makes me think it's not a dupe of bug 611803).

Going to bed now, tomorrow will try out some of the suggestions made in the other bug report about installing snd-hda-tools.

Shawn Lauzon (shawn-lauzon) wrote :

Problem is related to the kernel. I went back to 2.6.32 and without the options snd-hda-intel line, tinny sound. But when I add that line (including model=lenovo-sky), the sound works great! So, 10.10 with 2.6.32 kernel has same behavior as 10.04.

This bug might be related (same Realtek ALC888 driver): https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/617647

Shawn Lauzon (shawn-lauzon) wrote :

Outputs from alsa-info, in case it helps, both same installation with only two changes:

2.6.35 kernel, no snd-hda-intel line (tinny sound): http://www.alsa-project.org/db/?f=f946d6585ad115f6d3910bcc6ae5f9d7c3fc839b

2.6.35 kernel, with snd_hda_intel model=lenovo-sky (no sound): http://www.alsa-project.org/db/?f=f6c2558bdda008b84d126a7bda9e5afd8f785119

2.6.32 kernel, with snd_hda_intel model=lenovo-sky (working sound): http://www.alsa-project.org/db/?f=05c502bf673323a9623fb17cc82d3b0bb78ce0cd

If anyone wants me to try anything else, just let me know. Thanks for the help.

David Henningsson (diwic) wrote :

Hi Shawn,
I've seen a few ALC888 regressions in 10.10 and I suspect this is because of the new interpretation of SKU values. Could you see if the following helps you:
1) Run maverick without having any alsa driver overrides installed
2) Download and install http://people.canonical.com/~diwic/temp/alsa-hda-realtek-ignore-sku-dkms_1.0.23.diwic_all.deb
3) Reboot
4) Try both with and without the model=lenovo-sky (reboot in between)
5) Report back whether it works for you or not.
Thanks in advance.

@Daniel, seems like this ALC888 has the same PCI SSID as in bug #611803, but the codec is different. The code path is not obvious as if they both lead to patch_alc662, but I think the ALC888 doesn't in this case.

Bartłomiej Żogała (nusch) wrote :
Download full text (4.6 KiB)

@David, for my case it didn't change anything, after installing your patch and removing model line only 2 of 5 speakers working, after adding model line none of them.
Maybe this will tell you something:

[ 31.910296] ALSA: hda_intel.c: You're running a customized HDA driver, installed by DKMS. The packaging was made by <email address hidden>.
[ 31.910362] alloc irq_desc for 22 on node -1
[ 31.910364] alloc kstat_irqs on node -1
[ 31.910371] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 31.910438] alloc irq_desc for 46 on node -1
[ 31.910440] alloc kstat_irqs on node -1
[ 31.910453] HDA Intel 0000:00:1b.0: irq 46 for MSI/MSI-X
[ 31.910487] HDA Intel 0000:00:1b.0: setting latency timer to 64
[ 31.910492] ALSA-HDA hda_intel.c:2515: chipset global capabilities = 0x4401
[ 31.990029] ALSA-HDA hda_intel.c:908: codec_mask = 0xb
[ 31.990117] ALSA-HDA hda_intel.c:1343: codec #0 probed OK
[ 31.990156] ALSA-HDA hda_intel.c:1343: codec #1 probed OK
[ 31.990200] ALSA-HDA hda_intel.c:1343: codec #3 probed OK
[ 32.136918] hda_codec: ALC888: SKU not ready 0x598301f0
[ 32.136981] ALSA-HDA hda_codec.c:3692: hda_codec: model 'lenovo-sky' is selected
[ 32.639843] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_get_connections
[ 32.639847] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_get_connections (err -22)
[ 32.639917] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_codec_read
[ 32.639919] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_codec_read (err -22)
[ 32.639988] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_delete_codec_preset
[ 32.639991] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_delete_codec_preset (err -22)
[ 32.640100] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_eld_proc_free (err 0)
[ 32.640168] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_multi_out_dig_open
[ 32.640171] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_multi_out_dig_open (err -22)
[ 32.640248] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_get_sub_nodes
[ 32.640250] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_get_sub_nodes (err -22)
[ 32.640320] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_multi_out_dig_close
[ 32.640322] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_multi_out_dig_close (err -22)
[ 32.640391] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_sequence_write
[ 32.640393] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_sequence_write (err -22)
[ 32.640467] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_codec_write
[ 32.640469] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_codec_write (err -22)
[ 32.640539] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_add_codec_preset
[ 32.640542] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_add_codec_preset (err -22)
[ 32.640626] snd_hda_codec_nvhdmi: Unknown symbol snd_print_channel_allocation (err 0)
[ 32.640703] snd_hda_codec_nvhdmi: disagrees about version of symbol snd_hda_pin_sense
[ 32.640705] snd_hda_codec_nvhdmi: Unknown symbol snd_hda_pin_sense (err -22)
[ 32.640787...

Read more...

summary: - [Realtek ALC888] Regression from 10.04: No sound with snd_hda_intel
- model=lenovo-sky
+ [Lenovo Y530 - Realtek ALC888] Regression from 10.04: No sound with
+ snd_hda_intel model=lenovo-sky
David Henningsson (diwic) wrote :

Bartłomiej Żogała, please verify that you have the same hardware according to https://wiki.ubuntu.com/Audio/SameHardware , and if you don't, please file a new bug. Nevertheless, if the dkms package did not work for you, uninstall it.

Shawn Lauzon (shawn-lauzon) wrote :

Hi David,

After following your instructions, same problem as 10.10: with model no sound, without model tinny sound. I verified that the override was installed as well:

filename: /lib/modules/2.6.35-22-generic/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 96A831192FDEE246AA7DF8B
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.35-22-generic SMP mod_unload modversions 686

Bartłomiej Żogała (nusch) wrote :

@David, I have exactly the same hardware - Lenovo Y530 which differs in strores only in GPU, ammount and type of RAM and CPU, also checked PCI vendor code and codecs - the same.
Should I try vanilia kernel or alsa from sources or is this problem with whole 2.6.35 line?

Tomasz (gltomasz) wrote :

I think it's problem with alsa. In kernel 2.6.34 alsa modules are in version 1.0.22.1 which works good. In newer kernels alsa is in version 1.0.23 and there are problems with it. I tried also 2.6.36 vanilia kernel, same problem. My hardware is the same - lenovo y530 with HDA Intel.

David Henningsson (diwic) wrote :

I'm out of ideas at the moment, that is unless someone is up for a "git bisect" or something similar...

Adam Novak (interfect) wrote :

I also have this problem. Lenovo y530, installed 10.10 today without checking the known issues, and now I'm stuck with this bug.

Any ideas? Anyone know how to build/install a kernel with the older ALSA?

Adam Novak (interfect) wrote :

Here's my ALSA info:

http://www.alsa-project.org/db/?f=d5f25b384ea24d6bcf5014d9098a6cb28c828b2a

Would anything else be useful?

David Henningsson (diwic) wrote :

@Adam, if you like, you could try the .33 and .34 kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline - see instructions at: https://wiki.ubuntu.com/Kernel/MainlineBuilds

Adam Novak (interfect) wrote :

The .33 kernel seems OK, but I need to build the nVidia beta driver to run CUDA applications, and those kernels were built with GCC 4.2. Maverick has GCC 4.4, and 4.2 doesn't seem to be available anywhere, so I can't build the nVidia module, so I can't run X. I'll try making some test sounds with mplayer or something, but if anyone has a link for GCC 4.2 for Maverick or a mainline kernel built with 4.4, it would be very helpful.

I have tried booting the .32 kernel left over from Karmic, and the machine doesn't start X or give me a login prompt.

Adam Novak (interfect) wrote :

I have a workaround!

The 2.6.33-02063307-generic kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline works with the module=lenovo-sky trick. So the breaking patch is between it and .35.

Bartłomiej Żogała (nusch) wrote :

Does anybody work on this problem from current kernels ? I think not working sound is critical if ubuntu deserves to be called multimedia system..

Stephanie Duverge (sduverge) wrote :

Does anyone knows if it has been fixed for the 2.6.36 kernel? I'm actually on my way to try it, even though there's already a 2.6.37 version for the next 11.04 release.

Stephanie Duverge (sduverge) wrote :

No good, will go back to 2.6.33 or 34.

Yeah, how do we open an upstream bug for this?

On Sat, Dec 18, 2010 at 5:43 PM, Stephanie Duverge <email address hidden> wrote:
> No good, will go back to 2.6.33 or 34.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/662009
>
> Title:
>  [Lenovo Y530 - Realtek ALC888] Regression from 10.04: No sound with snd_hda_intel model=lenovo-sky
>
> Status in ALSA driver:
>  New
> Status in “alsa-driver” package in Ubuntu:
>  Triaged
>
> Bug description:
>  The Lenovo Y530 has a set of speakers, all of which need to be working to get adequate sound. On both 10.04 and 10.10, the default configuration only uses 2 speakers, which is unbearably tinny. In 10.04, following instructions at http://www.linlap.com/wiki/lenovo+ideapad+y530, I could enable all speakers with the line:
>
> options snd_hda_intel model=lenovo-sky
>
> added to alsa-base.conf. Unfortunately, in 10.10 doing this breaks all sound.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: alsa-base 1.0.23+dfsg-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: i386
> AudioDevicesInUse:
>  USER        PID ACCESS COMMAND
>  /dev/snd/controlC0:  slauzon    2095 F.... pulseaudio
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xd4200000 irq 43'
>   Mixer name   : 'Intel Cantiga HDMI'
>   Components   : 'HDA:10ec0888,17aa3d78,00100202 HDA:10573055,17aa3d7d,00100700 HDA:80862802,80860101,00100000'
>   Controls      : 44
>   Simple ctrls  : 25
> Date: Sat Oct 16 23:41:06 2010
> InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
> PackageArchitecture: all
> ProcEnviron:
>  LANG=C
>  SHELL=/bin/bash
> SelectedCard: 0 Intel HDA-Intel - HDA Intel
> SourcePackage: alsa-driver
> Symptom: audio
> Title: [Realtek ALC888] ALSA test tone not correctly played back
> dmi.bios.date: 09/23/2008
> dmi.bios.vendor: Lenovo
> dmi.bios.version: 10CN37WW
> dmi.board.asset.tag: Lenovo Assert TAG
> dmi.board.name: INVALID
> dmi.board.vendor: Lenovo
> dmi.board.version: 10CN36WW
> dmi.chassis.asset.tag: Lenovo Assert TAG
> dmi.chassis.type: 10
> dmi.chassis.vendor: Lenovo
> dmi.chassis.version: 10CN37WW
> dmi.modalias: dmi:bvnLenovo:bvr10CN37WW:bd09/23/2008:svnLenovo:pnINVALID:pvrLenovoIdeaPadY530:rvnLenovo:rnINVALID:rvr10CN36WW:cvnLenovo:ct10:cvr10CN37WW:
> dmi.product.name: INVALID
> dmi.product.version: Lenovo IdeaPad Y530
> dmi.sys.vendor: Lenovo
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/alsa-driver/+bug/662009/+subscribe
>

David Henningsson (diwic) wrote :

@Stephanie, to test what will go into the next kernel, you can use this procedure: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

@Adam, maybe an email to alsa-devel mailinglist ( http://mailman.alsa-project.org/mailman/listinfo/alsa-devel ) is the best way to look for upstream assistance. Before doing so; please try the latest snapshot ( https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules ).

Bartłomiej Żogała (nusch) wrote :

I tested it on my Y530, and last working kernel-ppa version is 2.6.34.7-maverick and in 2.6.35-rc2-maverick which is next it's already broken - I hear music very silent when I connect external speakers and set them to full volume.

David Henningsson (diwic) wrote :

@Bartłomiej Żogała:

Can you clarify a little whether your problem is the same as the original reporter's? You talk about external speakers, whereas Shawn talks about missing (internal, I assume) subwoofer?

Anyway, based on your bisection:

$ git log --pretty=oneline v2.6.34..v2.6.35-rc2 sound/pci/hda/patch_realtek.c | grep ALSA
26fd74fc01991a18f0e3bd54f8b1b75945ee3dbb ALSA: hda: Use mb31 quirk for an iMac model
b7cccc52feb142f48beae1566b749480fa9989de ALSA: hda - iMac9,1 sound fixes
fbc256692eac29e04cf87e45736d7ff149180a52 ALSA: hda: Storage class should be before const qualifier
ef5dbbccbbfa7d2211fa8efcc095a9f4a7912dda ALSA: hda - Remove superfluous external amp setup for ALC888
25e8d9b67b206b8bf9bf11699d1a7e67c87c1a2e ALSA: hda - Remove left-over debug printk in patch_realtek.c
489008cd58740fe3842822681d33bf87c07c3412 ALSA: hda - Fix ALC882 DAC connections in auto mode
a68d5a5419d2a15161488b20f740115068e7b666 ALSA: hda - introduce snd_hda_codec_update_cache()
ad35879aa192e783db2d41c196f48f3fc059ce22 ALSA: hda - Add mute LED support for HP laptop with ALC269
7fb5622326bf98437e629e94f8710eb12a90b30d ALSA: hda - Fix uninitialized variable warning in alc_auto_parse_customize_define()
c027ddcd01c852dfa5880862e47f022d7d9402f5 ALSA: hda - Add alc_codec_rename() helper
da00c24493bf6ae3772dfe7343dca033ebc75955 ALSA: hda - Add parse customize define function for Realtek codecs

Out of these, I suspect one of these three, in this order:

ef5dbbccbbfa7d2211fa8efcc095a9f4a7912dda ALSA: hda - Remove superfluous external amp setup for ALC888
489008cd58740fe3842822681d33bf87c07c3412 ALSA: hda - Fix ALC882 DAC connections in auto mode
da00c24493bf6ae3772dfe7343dca033ebc75955 ALSA: hda - Add parse customize define function for Realtek codecs

Andy Whitcroft (apw) wrote :

@David -- the reporter has confirmed that this is present in mainline, and using the mainline builds identified v2.6.34 as good and b2.6.35-rc2 as the first testable build which was bad. We tried to do a bisect between these two but this was a failure as most of the bisect points would not boot due to early boot issues with v2.6.35.

Bartłomiej Żogała (nusch) wrote :

@David to clarify - the laptop has build in 4+1 speakers, there exists always a problem running all of them, depending on modelline there are only 2 speakers working or not disabling subwoofer while pluging external speakers. The only workaround found was adding modeline model=lenovo-sky - then all speakers were working. This worked until 2.6.35. In 2.6.35 there was no sound with or without the model line, only exception was pluging external speakers and setting them to max volume - then I can hear very quiet music that I play with synchronous cracks.

David Henningsson (diwic) wrote :

Some progress today; we have enabled speakers by turning on EAPD for nodes 0x14 and 0x15. As a temporary workaround while we figure out how to fix it, you can download snd-hda-tools from my ppa:diwic/maverick , start "sudo hda_analyzer" and check the checkboxes for EAPD on nodes 0x14 and 0x15.

David Henningsson (diwic) wrote :
Changed in alsa-driver (Ubuntu):
status: Triaged → In Progress
assignee: nobody → David Henningsson (diwic)
David Henningsson (diwic) wrote :

Ok, need someone to test these three patches (to the daily snapshot) before sending upstream.

David Henningsson (diwic) wrote :

typo in patch 1: s/0x30ad/0x3a0d

David Henningsson (diwic) wrote :
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Tomasz (gltomasz) wrote :

I have applied all 4 patches and tested this on debian with pulseaudio.
Everything is working good (2.0, 4.1, 5.1, plugging headphones etc.). I've used "model=auto" setting.

Bartłomiej Żogała (nusch) wrote :

Better remove model line at all, it should autoload module

Esor (esor) wrote :

I applied patches with KernelCheck to last 2.6.38 and it worked.
Everything is fine.
Thank you for your efforts!

Olek (olek-janiszewski) wrote :

@Esor that's great news!

Does anyone happen to know by any chance if this patch will make it to Ubuntu 11.04?

David Henningsson (diwic) wrote :

@Olek: I just saw the commits going into 2.6.38 stable tree, so I'm counting on that it'll be in Natty within a few weeks and hopefully sooner.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Stephanie Duverge (sduverge) wrote :

Hi, sorry for the dumb question... how do I install these patches?

David Henningsson (diwic) wrote :

@Stephanie, if you're running Ubuntu 10.10, you can follow the instructions here: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

Stephanie Duverge (sduverge) wrote :

@David, I've already installed 11.04 beta 1, but I'll try it anyway.

Stephanie Duverge (sduverge) wrote :

@David. Well, it didn't worked. Here I have the link to a parallel discussion on ubuntu forums, in order to try and solve this.

http://ubuntuforums.org/showthread.php?t=1648543&page=3

There is the list of errors I get, perhaps I made a mistake at prematurely upgrading, just thought it would be solved by beta 1, hope it's useful to work with it.

By the way, on this kernel, the file etc/modprobe.d/alsa-base.conf does not exist. I'm still trying to find out where is it now, or how it's named.

dimmortal (dimmortal) wrote :

update kernel to 2.6.38.2("options snd_hda_intel model=lenovo-sky" removed from alsa-base.conf)... works great now ... thanks
very grateful for this fix

Stephanie Duverge (sduverge) wrote :

I solved it, updating kernel to 2.6.38.2 and changed "options snd_hda_intel model=lenovo-sky" for "options snd_hda_intel model=auto" and voilà. Thanks to all and I hope this stays stable at the next release.

Julian Wiedmann (jwiedmann) wrote :

All four patches were part of 2.6.38.1 and have landed in natty by now.

just for conformation ...
Has this problem been rectified in 11.04 ??
I would like to upgrade from 10.04 sequentially..

Adam Novak (interfect) wrote :

Yes, works fine in 11.04 with model=auto. Great job, devs.

On Sat, Apr 30, 2011 at 1:03 PM, Jayendra Rakesh
<email address hidden> wrote:
> just for conformation ...
> Has this problem been rectified in  11.04 ??
> I would like to upgrade from 10.04 sequentially..
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/662009
>
> Title:
>  [Lenovo Y530 - Realtek ALC888] Regression from 10.04: No sound with
>  snd_hda_intel model=lenovo-sky
>
> Status in ALSA driver:
>  New
> Status in “linux” package in Ubuntu:
>  Fix Committed
>
> Bug description:
>  The Lenovo Y530 has a set of speakers, all of which need to be working
>  to get adequate sound. On both 10.04 and 10.10, the default
>  configuration only uses 2 speakers, which is unbearably tinny. In
>  10.04, following instructions at
>  http://www.linlap.com/wiki/lenovo+ideapad+y530, I could enable all
>  speakers with the line:
>
>  options snd_hda_intel model=lenovo-sky
>
>  added to alsa-base.conf. Unfortunately, in 10.10 doing this breaks all
>  sound.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.10
>  Package: alsa-base 1.0.23+dfsg-1ubuntu4
>  ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
>  Uname: Linux 2.6.35-22-generic i686
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>  Architecture: i386
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  slauzon    2095 F.... pulseaudio
>  Card0.Amixer.info:
>   Card hw:0 'Intel'/'HDA Intel at 0xd4200000 irq 43'
>     Mixer name : 'Intel Cantiga HDMI'
>     Components : 'HDA:10ec0888,17aa3d78,00100202 HDA:10573055,17aa3d7d,00100700 HDA:80862802,80860101,00100000'
>     Controls      : 44
>     Simple ctrls  : 25
>  Date: Sat Oct 16 23:41:06 2010
>  InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
>  PackageArchitecture: all
>  ProcEnviron:
>   LANG=C
>   SHELL=/bin/bash
>  SelectedCard: 0 Intel HDA-Intel - HDA Intel
>  SourcePackage: alsa-driver
>  Symptom: audio
>  Title: [Realtek ALC888] ALSA test tone not correctly played back
>  dmi.bios.date: 09/23/2008
>  dmi.bios.vendor: Lenovo
>  dmi.bios.version: 10CN37WW
>  dmi.board.asset.tag: Lenovo Assert TAG
>  dmi.board.name: INVALID
>  dmi.board.vendor: Lenovo
>  dmi.board.version: 10CN36WW
>  dmi.chassis.asset.tag: Lenovo Assert TAG
>  dmi.chassis.type: 10
>  dmi.chassis.vendor: Lenovo
>  dmi.chassis.version: 10CN37WW
>  dmi.modalias: dmi:bvnLenovo:bvr10CN37WW:bd09/23/2008:svnLenovo:pnINVALID:pvrLenovoIdeaPadY530:rvnLenovo:rnINVALID:rvr10CN36WW:cvnLenovo:ct10:cvr10CN37WW:
>  dmi.product.name: INVALID
>  dmi.product.version: Lenovo IdeaPad Y530
>  dmi.sys.vendor: Lenovo
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/alsa-driver/+bug/662009/+subscribe
>

ruslan (hummatov13) wrote :

Hi.
I am lenovo Y530 user, had same problem in 10.10.
Now it seems "Anolog Surround 4.1 Output" appeared in "Hardware" of "sound preferences".
But when I open music volume is low and when I change hardware it gets high,
it seems it is not activated unless I change my hardware.
Is it case for you?
Any solution?
Thanks.

Shawn Lauzon (shawn-lauzon) wrote :

Wow, it's been awhile since I commented on this. I finally upgraded to 11.04 and set "options snd_hda_intel model=auto". And ........ it works great!!! Excellent job everyone, and I'm glad that a bug that I opened got resolved :)

Oh, and @ruslan, sounds like you have a completely different problem, so please don't use this thread for it. Thanks.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.